Tp::Service::ChannelInterfaceCallStateAdaptor Class Reference

| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Slots | Signals | List of all members
Tp::Service::ChannelInterfaceCallStateAdaptor Class Reference
Channel service implementation

`#include <TelepathyQt/_gen/svc-channel.h>`

Inherits Tp::AbstractAdaptor.

## Public Slots
Tp::ChannelCallStateMap | GetCallStates (const QDBusMessage &dbusMessage)

## Signals
void | CallStateChanged (uint contact, uint state)

## Additional Inherited Members
Public Member Functions inherited from Tp::AbstractAdaptor
| AbstractAdaptor (const QDBusConnection &connection, QObject *adaptee, QObject *parent)
| ~AbstractAdaptor ()
QDBusConnection | dbusConnection () const
QObject * | adaptee () const

## Detailed Description

Adaptor class providing a 1:1 mapping of the D-Bus interface "org.freedesktop.Telepathy.Channel.Interface.CallState".

## Member Function Documentation

Tp::ChannelCallStateMap Tp::Service::ChannelInterfaceCallStateAdaptor::GetCallStates | ( | const QDBusMessage & | dbusMessage | ) |
| slot

Begins a call to the exported D-Bus method `GetCallStates` on this object.

Adaptees should export this method as a Qt slot with the following signature: void getCallStates(const Tp::Service::ChannelInterfaceCallStateAdaptor::GetCallStatesContextPtr &context);

Implementations should call MethodInvocationContext::setFinished (or setFinishedWithError accordingly) on the received context object once the method has finished processing.

Get the current call states for all contacts involved in this call.

Returns

      The current call states. Participants where the call state flags
      would be 0 (all unset) may be omitted from this mapping.

void Tp::Service::ChannelInterfaceCallStateAdaptor::CallStateChanged | ( | uint | contact,
|  | uint | state
| ) |  |
| signal

Represents the exported D-Bus signal `CallStateChanged` on this object.

Adaptees should export this signal as a Qt signal with the following signature: void callStateChanged(uint contact, uint state);

The adaptee signal will be automatically relayed as a D-Bus signal once emitted.

Parameters

  contact |
      An integer handle for the contact.
  state |
      The new state for this contact.